Groups

Get Group Announcement

GET
/groups/{groupId}/announcement

Returns the announcement for a Group. If no announcement has been made, then it returns empty object. If an announcement exists, then it will always return all fields except imageId and imageUrl which may be null.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

groupId*string

Must be a valid group ID.

Response Body

application/json

application/json

application/json

curl -X GET "https://api.vrchat.cloud/api/1/groups/grp_00000000-0000-0000-0000-000000000000/announcement"
{
  "authorId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
  "createdAt": "2019-08-24T14:15:22Z",
  "groupId": "grp_71a7ff59-112c-4e78-a990-c7cc650776e5",
  "id": "gpos_71a7ff59-112c-4e78-a990-c7cc650776e5",
  "imageId": "file_ce35d830-e20a-4df0-a6d4-5aaef4508044",
  "imageUrl": "string",
  "text": "string",
  "title": "string",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}
{
  "error": {
    "message": "Can't find groupǃ",
    "status_code": 404
  }
}